/*************************************************************************/
/* Shuffles the current playlist and moves the selected item to the      */
/* bottom, so that the next song is the first (in Repeat mode)           */
/*************************************************************************/

// shuffle the playlist
var playlist = Application.Playlist;
var count = playlist.Count;
for( var index = 0; index < count; index++ ) {
	var fromIndex = index + Math.floor( (count-index) * Math.random() );
	playlist.Add( playlist.Item( fromIndex ) ); 
	playlist.Remove( fromIndex );
}

// move selection to the bottom
playlist.SelectedIndex = count-1;
